---
title: Keyboard Navigation
page_title: Keyboard Navigation - AutoComplete - Kendo UI for Vue
description: "Explore the keyboard navigation options provided by the Kendo UI AutoComplete wrapper for Vue."
slug: keyboard_navigation_autocomplete
position: 8
---

# Keyboard Navigation

The keyboard support of the AutoComplete is always available.

To apply the keyboard shortcuts, focus the AutoComplete by clicking the example area and pressing the `Tab` key.

The AutoComplete and its drop-down elements support the following keyboard shortcuts:

| SHORTCUT    | DESCRIPTION |
|:---         |:---         |
| `Up Arrow`  | Highlights the previous item.|
| `Down Arrow`| <ul><li>Highlights the next item.</li> <li>Opens the popup if the value is set.</li></ul>|
| `Page Up`   | Scrolls the popup up.|
| `Page Down` | Scrolls the popup down.|
| `Enter`     | Selects the highlighted item.|
| `Esc`       | <ul><li>Closes the popup.</li> <li>Clears the value if the popup is not opened.</li></ul> |

```html-preview
<div id="vueapp" class="vue-app">
    <kendo-autocomplete :data-source="dataSourceArray"
                        :placeholder="'Select country...'"
                        :separator="', '"
                        :filter="'startswith'">
    </kendo-autocomplete>
</div>
```
```js
Vue.use(DropdownsInstaller);

new Vue({
    el: "#vueapp",
    data: function() {
        return {
            dataSourceArray: [
                'Albania',
                'Andorra',
                'Armenia',
                'Austria',
                'Azerbaijan',
                'Belarus',
                'Belgium',
                'Bosnia & Herzegovina',
                'Bulgaria',
                'Croatia',
                'Cyprus',
                'Czech Republic',
                'Denmark',
                'Estonia',
                'Finland',
                'France',
                'Georgia',
                'Germany',
                'Greece'
            ]
        }
    }
})
```

## Suggested Links

* [Kendo UI AutoComplete for jQuery](https://docs.telerik.com/kendo-ui/controls/editors/autocomplete/overview)
* [API Reference of the AutoComplete Widget](https://docs.telerik.com/kendo-ui/api/javascript/ui/autocomplete)
